%define	major 2
%define libname %mklibname mng %{major}
%define develname %mklibname -d mng
%define staticdevelname %mklibname -d -s mng

Summary:	A library for handling MNG files
Name:		libmng
Version:	2.0.3
Release:	%mkrel 1
License:	Distributable (see LICENSE)
Group:		System/Libraries
URL:		http://www.libmng.com/
Source0:	http://prdownloads.sourceforge.net/libmng/%{name}-%{version}.tar.gz
BuildRequires:	jpeg-devel
BuildRequires:	lcms2-devel
BuildRequires:	zlib-devel

%description
The libmng library supports decoding, displaying, encoding, and various other
manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the
Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
library by Marti Maria Saguar

%package -n	%{libname}
Summary:	A library for handling MNG files
Group:		System/Libraries
Provides:	%{name}

%description -n	%{libname}
The libmng library supports decoding, displaying, encoding, and various other
manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the
Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
library by Marti Maria Saguar

%package -n	%{develname}
Summary:	Header files for libmng
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel mng-devel libmng0.9.3-devel libmng0-devel %{libname}-devel = %{version}-%{release}
Obsoletes:	libmng0.9.3-devel libmng0-devel %{libname}-devel %{_lib}mng1-devel

%description -n	%{develname}
The libmng library supports decoding, displaying, encoding, and various other
manipulations of the Multiple-image Network Graphics (MNG) format image files.
It uses the zlib compression library, and optionally the JPEG library by the
Independent JPEG Group (IJG) and/or lcms (little cms), a color-management
library by Marti Maria Saguar

This package contains header files needed for development.

%prep

%setup -q

%build
aclocal; libtoolize -cfi; automake -acf; autoconf

%configure2_5x --disable-static

%make

%install

rm -rf %{buildroot}

%makeinstall
rm -f %{buildroot}%{_libdir}/*.la

install -m644 doc/man/libmng.3 -D %{buildroot}%{_mandir}/man3/libmng.3
install -m644 doc/man/jng.5 -D %{buildroot}%{_mandir}/man5/jng.5
install -m644 doc/man/mng.5 -D %{buildroot}%{_mandir}/man5/mng.5

%files -n %{libname}
%doc CHANGES LICENSE README README.contrib README.examples
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc CHANGES LICENSE README README.contrib README.examples
%doc doc/Plan1.png doc/Plan2.png doc/doc.readme doc/libmng.txt
%{_includedir}/*
%{_libdir}/*.so
%{_mandir}/man*/*
%{_libdir}/pkgconfig/libmng.pc


%changelog
* Fri Jan 01 2016 luigiwalser <luigiwalser> 2.0.3-1.mga6
+ Revision: 917749
- 2.0.3

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-6.mga5
+ Revision: 745693
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.2-5.mga5
+ Revision: 726759
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 681608
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 533240
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 tv <tv> 2.0.2-2.mga4
+ Revision: 472359
- fix major and prevent breaking major again

* Tue Aug 27 2013 luigiwalser <luigiwalser> 2.0.2-1.mga4
+ Revision: 472341
- 2.0.2
- build against lcms2 instead of lcms
- remove no longer needed patch

* Sat Jan 12 2013 umeabot <umeabot> 1.0.10-15.mga3
+ Revision: 357776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 cjw <cjw> 1.0.10-14.mga3
+ Revision: 327614
- patch1: fix build with automake 1.12

* Sun Nov 06 2011 ahmad <ahmad> 1.0.10-13.mga2
+ Revision: 164269
- drop old/unneeded scriptlets
- imported package libmng

